## libkeduvocdocument 25.08.0

=== debian/changelog ===
libkeduvocdocument (4:25.08.0-2~exp2) experimental; urgency=medium

  * debian/rules: Explicitly strip -Wl,-z,gcs and append -Wl,-z,gcs=never.
    See if it could solve the FTBFS on arm64.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Sep 2025 14:50:27 -0400

libkeduvocdocument (4:25.08.0-2~exp1) experimental; urgency=medium

  * Test build with DH_VERBOSE set to 1.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Sep 2025 15:21:01 -0400

libkeduvocdocument (4:25.08.0-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * New upstream release (25.08.0).
  * d/p/enable_debianabimanager.diff: Add an Author field to suppress lintian
    warnings.
  * debian/copyright: Fix lintian old-fsf-address-in-copyright-file.

  [ Aurélien COUDERC ]
  * Remove inactive uploaders.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Sep 2025 09:51:29 -0400
