=== debian/rules ===
#!/usr/bin/make -f

# We need to examine detailed build flags
export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

# More config in the playground to disable gcs
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
    export DEB_LDFLAGS_MAINT_STRIP = -Wl,-z,gcs
    export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,gcs=never
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
