=== debian/changelog ===
libkeduvocdocument (4:25.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.08.1).

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Sep 2025 12:35:41 -0400
