## libkeduvocdocument 25.08.1+p24.04+vstable+git20250910.0314

=== debian/changelog ===
libkeduvocdocument (4:25.08.1+p24.04+vstable+git20250910.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 03:14:17 +0000

libkeduvocdocument (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:07:34 +0000

libkeduvocdocument (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:34:30 +0000
