## libkeduvocdocument 25.08.2

=== debian/changelog ===
libkeduvocdocument (4:25.08.2-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 03:01:31 +0000

libkeduvocdocument (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:50:13 +0000
