## libkeduvocdocument 25.08.3+p24.04+vstable+git20251123.1550

=== debian/changelog ===
libkeduvocdocument (4:25.08.3+p24.04+vstable+git20251123.1550-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 15:50:17 +0000
