## libkeduvocdocument 25.12.0

=== debian/changelog ===
libkeduvocdocument (4:25.12.0-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 04 Jan 2026 17:54:39 +0000

libkeduvocdocument (4:25.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.12.0).

 -- Boyuan Yang <byang@debian.org>  Sun, 04 Jan 2026 10:18:24 -0500

libkeduvocdocument (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:35:07 +0000
