=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkeduvocdocument
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -17,8 +18,8 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/education/libkeduvocdocument
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkeduvocdocument
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkeduvocdocument.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument
 
 Package: libkeduvocdocument-data
 Architecture: all
