## libkeduvocdocument 25.12.0+p24.04+vstable+git20251208.1724

=== debian/changelog ===
libkeduvocdocument (4:25.12.0+p24.04+vstable+git20251208.1724-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 17:24:18 +0000

libkeduvocdocument (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:36:51 +1000
