## libkeduvocdocument 25.12.0+p24.04+vunstable+git20260105.1431

=== debian/changelog ===
libkeduvocdocument (4:25.12.0+p24.04+vunstable+git20260105.1431-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 14:31:13 +0000
