## libkeduvocdocument 25.12.1+p24.04+vstable+git20260107.2210

=== debian/changelog ===
libkeduvocdocument (4:25.12.1+p24.04+vstable+git20260107.2210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 22:10:07 +0000

libkeduvocdocument (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:26:54 +1000
