## libkeduvocdocument 25.12.1+p24.04+vunstable+git20260106.1743

=== debian/changelog ===
libkeduvocdocument (4:25.12.1+p24.04+vunstable+git20260106.1743-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 17:43:57 +0000
