## libkeduvocdocument 25.12.2+p24.04+vstable+git20260206.1536

=== debian/changelog ===
libkeduvocdocument (4:25.12.2+p24.04+vstable+git20260206.1536-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 15:36:06 +0000

libkeduvocdocument (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:28:37 +0000
